Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.webservice.binding
Interface Binding

All Known Implementing Classes:
  weblogic.webservice.binding.AbstractBinding

public interface Binding

Binding represents an instance of a bound connection. It can be a client-server or server-client connection. An example of the binding is HTTP-SOAP client-side binding.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`BindingInfo` | `getBindingInfo()` Returns the binding information.
`java.lang.String` | `getDestination()` Returns the destination of the request.
`java.lang.String` | `getReplyTo()` Returns the address to which to send the response.
`java.lang.String` | `getSender()` Returns the address of the sender.
`void` | `init(BindingInfo info)` Initializes this binding.
`void` | `receive(javax.xml.rpc.handler.MessageContext context)` Receives a message from the binding connection.
`void` | `send(javax.xml.rpc.handler.MessageContext context)` Sends the specified message to the destination.
`void` | `setDestination(java.lang.String destination)` Sets the destination of the request
`void` | `setReplyTo(java.lang.String replyTo)` Sets the address to which to send the response.
`void` | `setSender(java.lang.String sender)` Sets the address of the sender.

Method Detail

### getReplyTo

    public java.lang.String getReplyTo()

  Returns the address to which to send the response. This is used only for asynchronous calls.

  Returns:
    address to sent response (eg: from@yahoo.com)

### setReplyTo

    public void setReplyTo(java.lang.String replyTo)

  Sets the address to which to send the response.

  Parameters:
    `replyTo` - address to sent response

### getSender

    public java.lang.String getSender()

  Returns the address of the sender.

  Returns:
    address of the sender

### setSender

    public void setSender(java.lang.String sender)

  Sets the address of the sender.

  Parameters:
    `sender` - address of the sender

### getDestination

    public java.lang.String getDestination()

  Returns the destination of the request.

  Returns:
    destination address

### setDestination

    public void setDestination(java.lang.String destination)

  Sets the destination of the request

  Parameters:
    `destination` - destination of the request

### init

    public void init(BindingInfo info)
              throws java.io.IOException

  Initializes this binding.

  Parameters:
    `info` - binding information used to create this binding
  Throws:
    java.io.IOException - failed to init binding

### getBindingInfo

    public BindingInfo getBindingInfo()

  Returns the binding information.

  Returns:
    binding information

### receive

    public void receive(javax.xml.rpc.handler.MessageContext context)
                 throws java.io.IOException,
                        javax.xml.soap.SOAPException

  Receives a message from the binding connection. This call may wait until the message is received.

  Parameters:
    `context` - MessageContext that holds the SOAP envelope
  Throws:
    java.io.IOException - failed to receive message
    java.io.IOException - failed to construct soap message

### send

    public void send(javax.xml.rpc.handler.MessageContext context)
              throws java.io.IOException,
                     javax.xml.soap.SOAPException

  Sends the specified message to the destination.

  Parameters:
    `context` - context which holds the soap message to send
  Throws:
    java.io.IOException - failed to send message
    javax.xml.soap.SOAPException - failed to write soap message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD